{ config, pkgs, lib, ... }:
{
  config = lib.mkIf config.home.desktop.enable {
    programs.mangohud.enable = true;
    # These options exist in Nixlang, but the order is not respected.
    xdg.configFile."MangoHud/MangoHud.conf".text = ''
      table_columns=2
      frametime=0
      legacy_layout=0
      font_scale=0.80
      background_alpha=0.25
      
      fps
      fps_color_change
      ram
      vram
      cpu_stats
      cpu_load_change
      gpu_stats
      gpu_load_change
      frame_timing
    '';
  };
}
